<?php


return array(


    'bjyauthorize' => array(

        // Guard listeners to be attached to the application event manager
        'guards'                => array(
            'BjyAuthorize\Guard\Controller' => array(
                array('controller' => 'CirclicalACLAdmin\Controller\Index', 'roles' => array( 'user' ) ),
            ),
        ),

    ),


    'controllers' => array(
      'invokables' => array(
        'CirclicalACLAdmin\Controller\Index' => 'CirclicalACLAdmin\Controller\IndexController'
      ),
    ),


    'service_manager' => array(

        'factories' => array(

        ),

        'initializers' => array(

        ),
    ),


    'view_manager' => array(
        'template_map' => array(
            'circlical-acl-admin/index' => __DIR__ . '/../view/circlical-acl-admin/index.phtml',
        ),
    ),


    'circlical-acl-admin' => array(
        'admin_role' => 'user',
    ),


    'router' => array(

        'routes' => array(

            'circlical-acl-admin' => array(

                'type' => 'Literal',
                'priority' => 1000,
                'options' => array(
                    'route' => '/acl-admin',
                    'defaults' => array(
                        'controller' => 'CirclicalACLAdmin',
                        'action'     => 'index',
                    ),
                ),
                'may_terminate' => true,

            ),
        ),
    ),
);
